Run agent (single-shot)
curl --request POST \
--url https://api.quintus.tec.br/v1/agents/{agent_id}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"messages": [
{
"content": "<string>",
"role": "user",
"metadata": {}
}
],
"user": {
"id": "<string>",
"reference": "<string>"
},
"context": {},
"metadata": {},
"persist": true
}
'import requests
url = "https://api.quintus.tec.br/v1/agents/{agent_id}/run"
payload = {
"messages": [
{
"content": "<string>",
"role": "user",
"metadata": {}
}
],
"user": {
"id": "<string>",
"reference": "<string>"
},
"context": {},
"metadata": {},
"persist": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>', role: 'user', metadata: {}}],
user: {id: '<string>', reference: '<string>'},
context: {},
metadata: {},
persist: true
})
};
fetch('https://api.quintus.tec.br/v1/agents/{agent_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_message": {
"id": "<string>",
"content": [
{
"text": "Hello agent",
"type": "text"
}
],
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
},
"session_id": "<string>"
}{
"error": {
"code": "session_token_expired",
"context": {},
"message": "Session token has expired. Refresh to continue.",
"name": "SessionTokenExpiredError"
},
"request_id": "5f0c-...",
"timestamp": "2026-04-27T12:00:00Z"
}{
"error": {
"code": "session_token_expired",
"context": {},
"message": "Session token has expired. Refresh to continue.",
"name": "SessionTokenExpiredError"
},
"request_id": "5f0c-...",
"timestamp": "2026-04-27T12:00:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "session_token_expired",
"context": {},
"message": "Session token has expired. Refresh to continue.",
"name": "SessionTokenExpiredError"
},
"request_id": "5f0c-...",
"timestamp": "2026-04-27T12:00:00Z"
}Runs
Run agent (single-shot)
Execute the agent with one or more messages. By default a session is created and persisted. Pass persist=false for an ephemeral run that leaves no persisted session.
POST
/
v1
/
agents
/
{agent_id}
/
run
Run agent (single-shot)
Autorizações
Parâmetros de caminho
Corpo
application/json
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Reference to a user when creating a session. Lookup-only. Use POST /users to create users.
Show child attributes
Show child attributes
Free-form key/value pairs injected into the agent's system context for this run.
Integrator-defined storage. Not seen by the agent.
If true, a session is created and persisted. If false, the run is intended to be ephemeral (current implementation still persists; this will change in a future release).
⌘I